| AnyConnect Secure Mobility Client 5.1.16.194

Public Member Functions | List of all members
FirewallInfo Class Reference

## Public Member Functions
| FirewallInfo (FW_Interface fwInterface, FW_Permission fwPermission, FW_Protocol fwProtocol, uint16_t fwSrcPortLowerBound, uint16_t fwSrcPortUpperBound, uint16_t fwDstPortLowerBound, uint16_t fwDstPortUpperBound, tstring fwDstAddress, uint32_t fwDstAddressPrefixLength)
| FirewallInfo (const FirewallInfo &fwInfo)
tstring | getPermission ()
tstring | getProtocol ()
tstring | getInterface ()
tstring | getSrcPortRange ()
tstring | getDstPortRange ()
tstring | getDstAddr ()

## Constructor & Destructor Documentation

## ◆ FirewallInfo() [1/2]

FirewallInfo::FirewallInfo | ( | FW_Interface | fwInterface,
|  | FW_Permission | fwPermission,
|  | FW_Protocol | fwProtocol,
|  | uint16_t | fwSrcPortLowerBound,
|  | uint16_t | fwSrcPortUpperBound,
|  | uint16_t | fwDstPortLowerBound,
|  | uint16_t | fwDstPortUpperBound,
|  | tstring | fwDstAddress,
|  | uint32_t | fwDstAddressPrefixLength
| ) |  |

Constructor used to create a firewall instance. This method is not intended for public use.

## ◆ FirewallInfo() [2/2]

FirewallInfo::FirewallInfo | ( | const FirewallInfo & | fwInfo | ) |

Constructor used to copy a firewall instance. This method is not intended for public use.